/**
 *******************************************************************************
 * @file        system_A33G53x.h
 * @author      ABOV R&D Division
 * @brief       Contains all macro definitions and function prototypes
 *              support for system clock initialization
 *
 * Copyright 2023 ABOV Semiconductor Co.,Ltd. All rights reserved.
 *
 * This file is licensed under terms that are found in the LICENSE file
 * located at Document directory.
 * If this file is delivered or shared without applicable license terms,
 * the terms of the BSD-3-Clause license shall be applied.
 * Reference: https://opensource.org/licenses/BSD-3-Clause
 ******************************************************************************/


#include "A33G53x.h"
#include <stdint.h>

extern uint32_t		SystemCoreClock;
extern uint32_t		SystemPeriClock;


/*----------------------------------------------------------------------------
  Clock functions
 *----------------------------------------------------------------------------*/
void SystemInit (void);
void SystemCoreClockUpdate (void) ;           /* Get Core Clock Frequency      */
