/**
 *******************************************************************************
 * @file        A33G53x_gpio.h
 * @author      ABOV R&D Division
 * @brief       Contains all macro definitions and function prototypes
 *              support for GPIO driver on A33G53x
 *
 * Copyright 2023 ABOV Semiconductor Co.,Ltd. All rights reserved.
 *
 * This file is licensed under terms that are found in the LICENSE file
 * located at Document directory.
 * If this file is delivered or shared without applicable license terms,
 * the terms of the BSD-3-Clause license shall be applied.
 * Reference: https://opensource.org/licenses/BSD-3-Clause
 ******************************************************************************/


#include <stdint.h>
#include "A33G53x.h"



//==========================================================================
//
//		F U N C T I O N    D E C L A R A T I O N S
//
//==========================================================================
void GPIO_OutputHigh (GPIO_Type * const Px, uint32_t pin_no);
void GPIO_OutputLow (GPIO_Type * const Px, uint32_t pin_no);

void GPIO_SetValue( GPIO_Type* Px, uint16_t bitValue );
void GPIO_ClearValue( GPIO_Type* Px, uint16_t bitValue );

uint16_t GPIO_ReadValue (GPIO_Type * const Px);
